<!DOCTYPE doctype PUBLIC "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>

  <title>Slide Rule Simulator Emulator Replica Collection</title>

  <meta charset="UTF-8">

  <meta name="description" content="Slide Rule Simulator Emulator Collection">

  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

  <meta name="author" content="Dr Robert P. Wolf">

  <meta name="keywords" content="simulator, emulator, slide rule, slide, rule, collection, slide rule simulator, slide rule emulator, slide rule, replica, sliderule, slide-rule, slide rule">

  <meta name="robots" content="all">

  <meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="shortcut icon" type="image/x-icon" href="h.ico"/>

</head>

<body text="#000000" bgcolor="#ffffff" link="#0000ef" vlink="#51188e" alink="#ff0000">

<style>
@font-face
{
font-family: snell;
src: url('react/snellbt-regular.otf'),
url('react/snellbt-regular.eot');
}
</style>

<font face="arial">

<center>
<div style="width: 700px;">
<i><font size="+2">
Not as clumsy or random as a computer<br/>
... an elegant instrument
for a more civilized age ...<br/>
</font>
<div align=right>
(Obi-Wan Kenobi)
</div>
</i>
(last update: 11<sup>th</sup> March 2020)
<script>

var VersionDate = new Date ('2020-03-11');
if (new Date (localStorage . getItem ('VersionDate')) . toString () !== VersionDate . toString ()) {
  localStorage . setItem ('VersionDate', VersionDate);
  location . reload (true);
}

</script>
</div>
</center>

<h1>
Collection of Slide Rule replicas
</h1>

Slide rules are not manufactured anymore.<br/>
The ones, which still exist, will eventually deteriorate with time.<br />
Here you will find a collection of some of the most prominent models
carefully hand-crafted and simulated (or emulated) in <b>JavaScript</b>.<br />
<h3>It is a Slide Rule Simulator or Emulator</h3>
All the scales are programmatically drawn based on <b>reverse enginered</b> mathematical equations.<br />
As such, <b>no images</b> are used for visualisation (only some decorations).<br />
And this is why those simulations are of the highest quality.<br />
This is also why the word "replica" is quite appropriate for those simulations.<br />
<br />
All the replicas can be yours right now, totally free.<br />
All you need to do is to <a href="https://github.com/HERCsMusicSystems/Sliderule-Simulator-or-Emulator/archive/master.zip">download</a> the whole lot
and they are yours forever.<br />
<br />
<font size=-1>
(Technical information: all replicas can work without any active internet connection and as such, they are digitally safe.
The code is hosted on <a href="https://github.com/HERCsMusicSystems/Sliderule-Simulator-or-Emulator">www.github.com</a>.)
</font>
<br />
<div><b>In random order:</b></div>

<div style="display: table;">
  <div style="display: table-row;">
<div style="display: table-cell;">
<center><h3>Aristo</h3></center>
        <ul style="padding: 0; margin: 24;">
          <li><a href="react/aristo_0901_junior.html" >0901 Junior</a></li>
          <li><a href="react/aristo_0906_bischolar.html" >0906 Bischolar</a></li>
          <li><a href="react/aristo_0908_trilog.html" >0908 Trilog</a></li>
          <li><a href="react/aristo_909_multitrig.html" >909 MultiTrig</a></li>
          <li><a href="react/aristo_909_multirietz.html" >909 MultiRietz</a></li>
          <li><a href="react/aristo_0968_studio.html" >0968 Studio</a></li>
          <li><a href="react/aristo_0968_400g_studio.html" >400g 0968 Studio</a></li>
          <li><a href="react/aristo_0969_studiolog.html" >0969 StudioLog</a></li>
          <li><a href="react/aristo_0970_multilog.html" >0970 MultiLog</a></li>
          <li><a href="react/aristo_0971_hyperbolog.html" >0971 Hyperbolog</a></li>
          <li><a href="react/aristo_0972_hyperlog.html" >0972 Hyperlog</a></li>
        </ul>
</div>

<div style="display: table-cell;">
<center><h3>Faber-Castell</h3></center>
        <ul style="padding: 0; margin: 24;">
          <li><a href="react/faber_castell_2_82n.html" >2/82N</a></li>
          <li><a href="react/faber_castell_2_83n.html" >2/83N</a></li>
          <li><a href="react/faber_castell_2_84.html" >2/84 Mathema</a></li>
          <li><a href="react/faber_castell_2_84n.html" >2/84N Mathema</a></li>
        </ul>

<center><h3>Hemmi / Post</h3></center>
        <ul style="padding: 0; margin: 24;">
          <li><a href="react/hemmi_257_chemical.html" >257 Chemical</a></li>
          <li><a href="react/hemmi_versalog.html" >1460 Versalog</a></li>
          <li><a href="react/hemmi_versalog_ii.html" >1460 Versalog II</a></li>
        </ul>
</div>

<div style="display: table-cell;">
<center><h3>HERCs</h3></center>
      	<ul id=hercs style="padding: 0; margin: 24;">
          <li><a href="react/raven.html" >Raven</a></li>
          <li><a href="react/templar.html" >Templar</a></li>
      	  <li><a href="react/fold_study.html" >Fold Study</a></li>
          <li><a href="react/hiram_game.html" >Training Game</a></li>
	    </ul>

<center><h3>Hogwarts</h3></center>
          <li><a href="react/Hogwarts_Gryffindor.html" style="text-decoration: none; color: red;"><font face=snell size=+1><b><u>Gryffindor</u></b></font></a></li>
          <li><a href="react/Hogwarts_Ravenclaw.html" style="text-decoration: none; color: blue;"><font face=snell size=+1><b><u>Ravenclaw</u></b></font></a></li>
          <li><a href="react/Hogwarts_Hufflepuff.html" style="text-decoration: none; color: brown;"><font face=snell size=+1><b><u>Hufflepuff</u></b></font></a></li>
          <li><a href="react/Hogwarts_Slytherin.html" style="text-decoration: none; color: green;"><font face=snell size=+1><b><u>Slytherin</u></b></font></a></li>
<!--            <ul>
                <li>Osiris</li>
                <li>Tiamat</li>
                <li>Pythagoras</li>
                <li>Flamel</li>
                <li>Copernicus</li>
                <li>Templar</li>
            </ul>-->
      	</ul>
</div>

<div style="display: table-cell;">
	<center><h3>Pickett</h3></center>
	    <ul style="padding: 0; margin: 24;">
	        <li><a href="react/pickett_n600.html">N600 (Apollo 11)</a></li>
	        <li><a href="react/pickett_x3.html">X-3</a></li>
	        <li><a href="react/pickett_x4.html">X-4</a></li>
					<li><a href="react/pickett_n909_es.html">N909-ES</a></li>
	    </ul>
<center><h3>PIC/Thornton</h3></center>
        <ul style="padding: 0; margin: 24;">
          <li><a href="react/pic_p221.html">PIC P 221</a></li>
          <li><a href="react/thornton_p221.html">Thornton P 221<br/>Duplex Log Log</a></li>
          <li><a href="react/thornton_aa010.html">Thornton AA 010</a></li>
        </ul>
</div>

<div style="display: table-cell;">
	<center><h3>Keuffel & Esser</h3></center>
	        <ul style="padding: 0; margin: 24;">
	          <li><a href="react/k_e_decilon.html" >68-1100 Deci-Lon</a></li>
	        </ul>
<center><h3>GJM</h3>
  <font size=-1>(Gregory J. McClure)</font>
</center>
    		<ul>
    			<li><a href="react/gjm6sided.html" >6 - Sided</a></li>
          <li><a href="react/gjm8sidedstat.html" >8-Sided Stat</a></li>
          <li><a href="react/gjm2F10FPi.html" >FRoot10 FPi</a></li>
    		</ul>
</div>

<div style="display: table-cell;">
  <center><h3>Nestler</h3></center>
    <ul style="padding: 0; margin: 24;">
      <li><a href="react/nestler_23r.html">23 R</a></li>
    </ul>
<center><h3>Staedtler</h3></center>
    <ul style="padding: 0; margin: 24;">
        <li><a href="react/staedtler_544_28.html" >544 28</a></li>
    </ul>
<center><h3>Zvi Doron</h3></center>
    <ul style="padding: 0; margin: 24;">
        <li><a href="react/ultralog.html" style="text-decoration: none;"><em><strong><font color="red">Ultra</font><sub>Log</sub></strong></em></a></li>
    </ul>
</div>

<div style="display: table-cell;">
  <center><h3>Flying Fish</h3></center>
    <ul style="padding: 0; margin: 24;">
      <li><a href="react/FlyingFish1003.html">1003</a></li>
    </ul>
  <center><h3>Graphoplex</h3></center>
	<ul style="padding: 0; margin: 24;">
		<li><a href="react/Koh-I-Noor_10010.html">Koh-I-Noor 10010</a></li>
	</ul>
  <center><h3>Michael O'Leary</h3></center>
    <ul style="padding: 0; margin: 24;">
      <li><a href="react/oleary.html">Model 1-10 Premier</a></li>
    </ul>
</div>

</div>
</div>

<div>
<h3>Quick manual</h3>
<ul>
	<li>Drag rule or cursor with mouse.</li>
	<li>Use mouse wheel to zoom-in or zoom-out.</li>
	<li>Click on checkboxes for appropriate actions.</li>
	<li>Right-click on cursor or on scale to enter digital values for automation. You can:
		<ul>
			<li>Enter integer or floating-point value, i.e.: <b>3.14</b> (use either dot or comma to separate fraction)</li>
			<li>Enter degrees using ":", i.e.: <b>2:30:26</b></li>
			<li>Enter pre-defined constants:
				<b>pi</b>, <b>pi0</b>, <b>pi1</b>, <b>pi2</b>,
				<b>e</b>, <b>e0</b>, <b>e1</b>, <b>e2</b>,
				<b>c</b>, <b>c1</b>, <b>q</b>,
				<b>r</b>, <b>r0</b>, <b>r1</b>, <b>r2</b>, <b>r3</b>, <b>r10</b>, <b>re</b>.
			</li>
			<li>Chemical scale may have additional constans. Use <b>air</b>, <b>co2</b>, <b>h2o</b>, <b>water</b>, etc...
			<li>To move cursor to additional hairline, press and hold CTRL key while right-clicking on scale and hairline.</li>
			<li>To move slide to additional hairline, press and hold CTRL with SHIFT while right-clicking on scale and hairline.</li>
			<li>If you right-click very close to either left or right index, then slide or cursor will move to this index instead.</li>
		</ul>
	</li>
	<li>You can <a href="https://github.com/HERCsMusicSystems/Sliderule-Simulator-or-Emulator/archive/master.zip">download</a>
		the entire collection to your computer and run locally (without internet connection).</li>
	<li>The source code is hosted publicly at <a href="https://github.com/HERCsMusicSystems/Sliderule-Simulator-or-Emulator">www.github.com</a>.
		You can clone the entire repository (rather than downloading the ZIP) if GIT is your preferred version control software.</li>
	<li>Once you download (or clone) the entire collection you can start building your own models.
		Simply, open one of the models in text editor, see how it is constructed and enjoy coding.<br/>
		(Yes, you will need some JavaScript and HTML skills.)
	</li>
</ul>
</div>

<h3>.... but how do you use a slide rule anyway?</h3>

Some of the replicas carry an interactive tutorial, where you can also practice using a slide rule.
In particular, you can use the <a href="react/raven.html">Raven</a> and the <a href="react/templar.html">Templar</a> for learning.<br />
However, there is also a <a href="react/hiram_game.html">training game</a> included, where you are required to pass some slide rule tests.<br />
As you progress through the tests new and more complex slide rules are available for you to practice.<br />
The game is accompanied by completely fabricated stories, just for fun.<br /><br />
There are also numerous tutorials freely available online.

<h3>Contact</h3>
You can <a href="http://hercsmusicsystems.com.au/Contact/">CONTACT</a> the author (Dr Robert P. Wolf), through his HERCs Music Systems page.

<h3>Mailing List</h3>
If you are a fan or a collector of slide rules, or if you just wish to talk about all matters regarding this beautiful tool,
then you may wish to join our <a href="https://www.hercsmusicsystems.com.au/mailman/listinfo/sliderule_sliderules.org">mailing list</a>.

<h3>Links</h3>
<a href="http://www.oughtred.org/"><img src="oughtred-header-graphic7.gif" /></a>
<a href="http://sliderulemuseum.com/"><img src="SRM_Banner600.jpg" /></a>

<br /><br />

<h3>A sample simulation of Faber-Castell 2/83N replica can be viewed below.</h3>

<div>
	<input type = checkbox id = on_side onchange = "javascript: changeMarkings ('stator', this . checked);" />Markings on side.
	<input type = checkbox id = on_hairline onchange = "javascript: changeMarkings ('hairline', this . checked);" />Markings on centre hairline.
	<input type = checkbox id = on_extras onchange = "javascript: changeMarkings ('hairlines', this . checked);" />Markings on additional hairlines.
	<input type = checkbox id = other_side onchange = "javascript: changeSide (this . checked ? 'back' : 'front');" />Other side.
	<input type = checkbox id = version onchange = "javascript: changeVersion (this . checked ? 'us' : 'german');" />Version US/German.
	<input type = checkbox id = short_long onchange = "javascript: changeSize (this . checked ? 900 : 1200);" />Short/Long
</div>
<div id="root"></div>
<script src="react/sliderule_construction_kit.js"></script>
<script src="react/scales.js"></script>

<script src="react/faber_castell_2_83n.js"></script>
<script src="react/sliderule_application.js"></script>
<script>sliderules . fixedHeight = 440;</script>
<script src="react/sliderule_ctrl.js"></script>

<script>
changeMarkings ('stator', document . getElementById ('on_side') . checked);
changeMarkings ('hairline', document . getElementById ('on_hairline') . checked);
changeMarkings ('hairlines', document . getElementById ('on_extras') . checked);
changeSide (document . getElementById ('other_side') . checked ? 'back' : 'front');
changeVersion (document . getElementById ('version') . checked ? 'us' : 'german');
changeSize (document . getElementById ('short_long') . checked ? 900 : 1200);
</script>





</font>

</body>
</html>
